commit:     711fdac7455b9bcb562367275b40f133bcfa787b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 30 07:38:22 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jul 30 08:08:00 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=711fdac7

dev-python/pbkdf2: Bump to EAPI 7

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pbkdf2/pbkdf2-1.3-r1.ebuild | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

diff --git a/dev-python/pbkdf2/pbkdf2-1.3-r1.ebuild 
b/dev-python/pbkdf2/pbkdf2-1.3-r1.ebuild
new file mode 100644
index 00000000000..0a5ba845698
--- /dev/null
+++ b/dev-python/pbkdf2/pbkdf2-1.3-r1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_5,3_6,3_7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Implementation of PBKDF2, specified in RSA PKCS#5 v2.0"
+HOMEPAGE="https://www.dlitz.net/software/python-pbkdf2/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux"
+IUSE=""
+
+python_test() {
+       "${EPYTHON}" test/test_pbkdf2.py -v || die "Tests failed with 
${EPYTHON}"
+}

Reply via email to